<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE project>
<project>
    <pomVersion>3</pomVersion>
    <extend>${basedir}/../../etc/project.xml</extend>

    <name>ActiveMQ :: Store :: JDBC</name>
    <id>activemq-store-jdbc</id>
    <shortDescription>JDBC Message persistence implementation</shortDescription>
    <description>JDBC message persistence implementation</description>
  
    <package>org.codehaus.activemq.store.jdbc</package>
    <packageGroups>
      <packageGroup>
        <title>JDBC message persistence implementation</title>
        <packages>org.codehaus.activemq.store.jdbc</packages>
      </packageGroup>
    </packageGroups>
 
    <!-- ============ -->
    <!-- Dependencies -->
    <!-- ============ -->
    <dependencies>

      <dependency>
        <groupId>activemq</groupId>
        <artifactId>activemq-core</artifactId>
        <version>${pom.currentVersion}</version>
        <properties>
          <eclipse.dependency>true</eclipse.dependency>
        </properties>
      </dependency>
	  <dependency> <!-- Used for unit tests -->
	    <groupId>activemq</groupId>
	    <artifactId>activemq-core-test</artifactId>
	    <version>${pom.currentVersion}</version>
	  </dependency>
      
      <!-- Axion SQL DB used for testing JDBC message store -->
      <dependency>
        <groupId>axion</groupId>
        <artifactId>axion</artifactId>
      </dependency>
      <dependency>
        <groupId>commons-collections</groupId>
        <artifactId>commons-collections</artifactId>
      </dependency>
      <dependency>
        <groupId>commons-primitives</groupId>
        <artifactId>commons-primitives</artifactId>
      </dependency>
      <dependency>
        <groupId>regexp</groupId>
        <artifactId>regexp</artifactId>

      </dependency>
      
      <!-- HSQL SQL DB used for testing JDBC message store -->
      <dependency>
        <groupId>hsqldb</groupId>
        <artifactId>hsqldb</artifactId>
      </dependency>
      <dependency>
        <groupId>commons-dbcp</groupId>
        <artifactId>commons-dbcp</artifactId>
      </dependency>
      <dependency>
        <groupId>commons-pool</groupId>
        <artifactId>commons-pool</artifactId>
      </dependency>
            
    </dependencies>  

</project>
